View Issue Details

IDProjectCategoryView StatusLast Update
0000507SOGoBackend Generalpublic2010-03-24 11:26
Reporterschreiner Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.2.1 
Target Version1.2.2Fixed in Version1.2.2 
Summary0000507: Repcached support for SOGo
Description

Repcached is a patch set which adds data replication feature to memcached.

http://repcached.lab.klab.org/

The main purpose of repcached is to offer redundancy for memcached system.

Here's a small patch in order to be able to use repcached with SOGo, it can even override patch 0000449. You can set multiple memcached servers including specific port configuration for the SOGoMemcachedHost configuration parameter. Typically, 2 servers are used for repcached, for example:

SOGoMemcachedHost = "repcached1.example.org, repcached2.example.org";

This patch uses the memcached_servers_parse function of libmemcached :

memcached_servers_parse() takes a string, the type that is used for the command line applications, and parse it to an array of memcached_server_st. The example is "localhost, foo:555, foo, bar". All hosts except foo:555 will be set to the default port, while that host will have a port of 555.

Best Regards,

--
Christophe Palanche and Guillaume Schreiner
University Of Strasbourg

TagsNo tags attached.

Activities

2010-03-22 10:31

 

patch-sogo-v1.2.1-repcached.diff (743 bytes)   
--- SOGo-1.2.1/SoObjects/SOGo/SOGoCache.m	2010-02-19 20:19:14.000000000 +0100
+++ SOGo-1.2.1-modified/SoObjects/SOGo/SOGoCache.m	2010-03-22 14:56:22.000000000 +0100
@@ -121,10 +121,9 @@
               [self logWithFormat: @"Using host '%@' as server",
                     memcachedServerName];
               if (!servers)
-                servers
-                  = memcached_server_list_append(NULL,
-                                                 [memcachedServerName UTF8String],
-                                                 11211, &error);
+	       servers
+                  = memcached_servers_parse([memcachedServerName UTF8String]);
+
               error = memcached_server_push(handle, servers);
             }
         }
ludovic

ludovic

2010-03-24 11:26

administrator   ~0000788

http://mtn.inverse.ca/revision/diff/83c63e63da91d2b44db08849dc570ff2029ed74a/with/5cd36f9e514c2019e708362661b3ede2e8598fb8

Issue History

Date Modified Username Field Change
2010-03-22 10:31 schreiner New Issue
2010-03-22 10:31 schreiner File Added: patch-sogo-v1.2.1-repcached.diff
2010-03-23 01:03 ludovic Status new => assigned
2010-03-23 01:03 ludovic Assigned To => ludovic
2010-03-23 01:03 ludovic Target Version => 1.2.2
2010-03-24 11:26 ludovic Note Added: 0000788
2010-03-24 11:26 ludovic Status assigned => resolved
2010-03-24 11:26 ludovic Fixed in Version => 1.2.2
2010-03-24 11:26 ludovic Resolution open => fixed